extern crate baichat_rs;

use baichat_rs::ThebAI;

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {

    let mut ai = ThebAI::new(None);
    

    let r = ai.ask("Hello, world!", None).await?;

    let response = r.last().detail.choices[0].delta.content.clone();

    println!("{:?}", response);

    Ok(())
}